#pragma once

#include "CoreMinimal.h"
#include "DBDTunableRowHandle.h"
#include "K36SpellSpeedCurveData.generated.h"

class UCurveFloat;

USTRUCT(BlueprintType)
struct FK36SpellSpeedCurveData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UCurveFloat* SpeedCurve;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle Duration;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool AutoRemove;

public:
	THEK36_API FK36SpellSpeedCurveData();
};

FORCEINLINE uint32 GetTypeHash(const FK36SpellSpeedCurveData) { return 0; }
